package handlers

import (
	"fmt"

	"github.com/gofiber/fiber/v2"
)

func (h Handlers) Register(c *fiber.Ctx) error {
	return c.Render("register", fiber.Map{
		"Title": "Auth - Register",
	}, "layouts/default")
}

type NewUser struct {
	Username       string
	Password       string
	RepeatPassword string
}

func (h Handlers) RegisterPost(c *fiber.Ctx) error {
	newUser := new(NewUser)

	err := c.BodyParser(newUser)
	if err != nil {
		h.Log.Debug("Invalid input data", "err", err.Error())
		c.Status(400)
	}

	fmt.Printf("newUser: %v", newUser)

	return c.Render("register", fiber.Map{
		"Title": "Auth - Register",
	}, "layouts/default")
}
